Subject: Re: bug#71684: [PATCH v2] doc: Document the peek and pk procedures.

From: Simon Tournier <[email-masked]>
Date: Fri, 13 Sep 2024 18:03:36 +0200

Hi,

On Fri, 13 Sept 2024 at 17:42, Maxim Cournoyer
<[email-masked]> wrote:

> >> I would suggest to apply the ’pk’ on the other branch, something as:
> >>
> >> --8<---------------cut here---------------start------------->8---
> >> (map (lambda (v)
> >>        (if (number? v)
> >>            (pk 'number v (number->string v))
> >>            v))
> >>      '(1 "2" "3" 4))
> >> --8<---------------cut here---------------end--------------->8---
> >
> > I'm not sure I understand how this improves the demonstration of 'pk'.
> > What does this form of the example demonstrate that the version in the
> > patch does not?  It's a minor change so I'm happy to make it; I just
> > want to ensure that we have the best possible version of the solution
> > to the problem you see.
>
> I'm not sure I understand the motivation too. To me the v2 patch looked
> fine as-is.

Becasue it shows that you can put more than only one.  Qui peut le
plus, peut le moins. ;-)

And it also shows that you can call stuff.

Well, IMHO, once 'pk' is clear for you, you do not see the difference.
However, the example I suggest appears to me that it provides more
information when learning.

Cheers,
simon